MarinerWrtGraph Class Reference

the main class to read the graphic part of a Mariner Write file More...

`#include <MarinerWrtGraph.hxx>`

## Public Member Functions

| MarinerWrtGraph (MarinerWrtParser &parser)
| constructor
virtual | ~MarinerWrtGraph ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages

## Protected Member Functions

bool | sendPageGraphics ()
| try to send the page graphic
void | flushExtra ()
| sends the data which have not yet been sent to the listener
float | getPatternPercent (int id) const
| return the pattern percent which corresponds to an id (or -1)
bool | readPostscript (MarinerWrtEntry const &entry, int zoneId)
| try to read a postscript zone
bool | readToken (MarinerWrtEntry const &entry, int zoneId)
| try to read a token zone (can be a picture or a field)
bool | readTokenBlock0 (MarinerWrtStruct const &data, MarinerWrtGraphInternal::Token &tkn, std::string &res)
| try to read the first token zone ( which can contains some field text )
void | sendPicture (MarinerWrtGraphInternal::Token const &tkn)
| try to send a picture token as char
void | sendRule (MarinerWrtGraphInternal::Token const &tkn)
| try to send a rule
void | sendPSZone (MarinerWrtGraphInternal::PSZone const &ps, MWAWPosition const &pos)
| try to send a ps picture as pos
void | sendToken (int zoneId, long tokenId)
| try to send a token
void | sendText (int zoneId)
| ask the main parser to send a text zone

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< MarinerWrtGraphInternal::State > | m_state
| the state
MarinerWrtParser * | m_mainParser
| the main parser;

## Private Member Functions

| MarinerWrtGraph (MarinerWrtGraph const &orig)=delete
MarinerWrtGraph & | operator= (MarinerWrtGraph const &orig)=delete

## Friends

class | MarinerWrtParser
class | MarinerWrtGraphInternal::SubDocument

## Detailed Description

the main class to read the graphic part of a Mariner Write file

## Constructor & Destructor Documentation

## MarinerWrtGraph() [1/2]

MarinerWrtGraph::MarinerWrtGraph | ( | MarinerWrtParser & | parser | ) |

explicit

constructor

Referenced by MarinerWrtGraph(), and operator=().

## ~MarinerWrtGraph()

MarinerWrtGraph::~MarinerWrtGraph | ( |  | ) |

virtual

destructor

## MarinerWrtGraph() [2/2]

MarinerWrtGraph::MarinerWrtGraph | ( | MarinerWrtGraph const & | orig | ) |

private delete

## Member Function Documentation

## flushExtra()

void MarinerWrtGraph::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

## getPatternPercent()

float MarinerWrtGraph::getPatternPercent | ( | int | id | ) | const

protected

return the pattern percent which corresponds to an id (or -1)

## numPages()

int MarinerWrtGraph::numPages | ( |  | ) | const

returns the number of pages

## operator=()

MarinerWrtGraph & MarinerWrtGraph::operator= | ( | MarinerWrtGraph const & | orig | ) |

private delete

## readPostscript()

bool MarinerWrtGraph::readPostscript | ( | MarinerWrtEntry const & | entry,
|  | int | zoneId )

protected

try to read a postscript zone

## readToken()

bool MarinerWrtGraph::readToken | ( | MarinerWrtEntry const & | entry,
|  | int | zoneId )

protected

try to read a token zone (can be a picture or a field)

## readTokenBlock0()

bool MarinerWrtGraph::readTokenBlock0 | ( | MarinerWrtStruct const & | data,
|  | MarinerWrtGraphInternal::Token & | tkn,
|  | std::string & | res )

protected

try to read the first token zone ( which can contains some field text )

Referenced by readToken().

## sendPageGraphics()

bool MarinerWrtGraph::sendPageGraphics | ( |  | ) |

protected

try to send the page graphic

## sendPicture()

void MarinerWrtGraph::sendPicture | ( | MarinerWrtGraphInternal::Token const & | tkn | ) |

protected

try to send a picture token as char

Referenced by sendToken().

## sendPSZone()

void MarinerWrtGraph::sendPSZone | ( | MarinerWrtGraphInternal::PSZone const & | ps,
|  | MWAWPosition const & | pos )

protected

try to send a ps picture as pos

Referenced by flushExtra().

## sendRule()

void MarinerWrtGraph::sendRule | ( | MarinerWrtGraphInternal::Token const & | tkn | ) |

protected

try to send a rule

Referenced by sendToken().

## sendText()

void MarinerWrtGraph::sendText | ( | int | zoneId | ) |

protected

ask the main parser to send a text zone

## sendToken()

void MarinerWrtGraph::sendToken | ( | int | zoneId,
|  | long | tokenId )

protected

try to send a token

Referenced by flushExtra().

## version()

int MarinerWrtGraph::version | ( |  | ) | const

returns the file version

Referenced by getPatternPercent().

## Friends And Related Symbol Documentation

## MarinerWrtGraphInternal::SubDocument

friend class MarinerWrtGraphInternal::SubDocument

friend

## MarinerWrtParser

friend class MarinerWrtParser

friend

Referenced by MarinerWrtGraph(), MarinerWrtGraphInternal::SubDocument, and MarinerWrtParser.

## Member Data Documentation

## m_mainParser

MarinerWrtParser* MarinerWrtGraph::m_mainParser

protected

the main parser;

Referenced by MarinerWrtGraph(), readPostscript(), readToken(), sendText(), and sendToken().

## m_parserState

MWAWParserStatePtr MarinerWrtGraph::m_parserState

protected

the parser state

Referenced by MarinerWrtGraph(), readPostscript(), readToken(), readTokenBlock0(), sendPicture(), sendPSZone(), sendRule(), sendToken(), and version().

## m_state

std::shared_ptr<MarinerWrtGraphInternal::State> MarinerWrtGraph::m_state

protected

the state

Referenced by flushExtra(), getPatternPercent(), MarinerWrtGraph(), numPages(), readPostscript(), readToken(), sendRule(), and sendToken().

The documentation for this class was generated from the following files:

- MarinerWrtGraph.hxx
- MarinerWrtGraph.cxx